[fs]
# dataFolder=REDRIVER2
# dataFolder=.

# Game keyboard controls (Psy-X layer PSX mapping)
[kbcontrols_game]
cross=up
square=down
circle=right shift
triangle=space
up=NONE
down=NONE
left=left
right=right
start=escape
select=c
l1=right ctrl
r1=H
l2=A
r2=D
l3=S
r3=return

# Available controller binds (refer to SDL2 game controller)
#
# Axes:
#	leftx lefty
#	rightx righty
#	lefttrigger righttrigger
#
# NOTE: adding `-` before axis names makes it inverse, so -leftx inverse left stick X axis
#
# Buttons:
# 	a, b, x, y
# 	back guide start
# 	leftstick rightstick
# 	leftshoulder rightshoulder
# 	dpup dpdown dpleft dpright


[controls_game]
# cross=a
# square=x
# circle=b
# triangle=y
# up=dpup
# down=dpdown
# left=dpleft
# right=dpright
# start=start
# select=back
# l1=leftshoulder
# r1=rightshoulder
# l2=lefttrigger
# r2=righttrigger
# l3=leftstick
# r3=rightstick
# axis_left_x=leftx
# axis_left_y=lefty
# axis_right_x=rightx
# axis_right_y=righty

[controls_menu]
# cross=x
# square=x
# circle=b
# triangle=y
# up=dpup
# down=dpdown
# left=dpleft
# right=dpright
# start=start
# select=back
# l1=leftshoulder
# r1=rightshoulder
# l2=lefttrigger
# r2=righttrigger
# l3=leftstick
# r3=rightstick
# axis_left_x=leftx
# axis_left_y=lefty
# axis_right_x=rightx
# axis_right_y=righty


[kbcontrols_menu]
cross=return
square=q
circle=right shift
triangle=escape
start=escape
up=up
down=down
left=left
right=right
start=w
select=H

[cdfs]
image=ux0:data/DRIVER2/Driver2CD1.bin
mode=1,2,2352			# track, mode, sector size. DO NOT MODIFY

[pad]
pad1device=-1			# player 1 controller device; -1 for automatic assignment
pad2device=-1			# player 2 controller device; -1 for automatic assignment

[render]
windowWidth=960
windowHeight=544
fullscreen=1			# enable full screen mode
screenWidth=960		# screen resolution when fullscreen is on
screenHeight=544
vsync=0				# Prevents screen tearing in Full screen. Turn it off if you have framerate problems.
pgxpTextureMapping=1
bilinearFiltering=0		# "smooth" textures
pgxpZbuffer=1			# full Z-buffer on PSX polygons

[game]
languageId=0			# 0 = ENGLISH; 1 = ITALIAN; 2 = GERMAN; 3 = FRENCH; 4 = SPANISH;
drawDistance=1800		# 441..1800
fieldOfView=256			# 128..384, 256 is default
disableChicagoBridges=0		# Experimental: also activate AI roads
freeCamera=0			# Press F7 in game to enable
fastLoadingScreens=1
widescreenOverlays=1		# set 1 to see map, bars and stats aligned to screen corners
driver1music=0			# put Driver 1's MUSIC.BIN as D1MUSIC.BIN to DRIVER2\SOUNDS folder
overrideContent=0		# this enables texture and car model modding
